std::is_trivially_destructible< _Tp > Struct Template Reference
Utilities » Metaprogramming

`#include <type_traits>`

Inherits __and_< __is_destructible_safe< _Tp >, __bool_constant< __has_trivial_destructor(_Tp)> >.

## Detailed Description

template<typename _Tp>
struct std::is_trivially_destructible< _Tp >

is_trivially_destructible

Definition at line 1337 of file type_traits.

The documentation for this struct was generated from the following file:

- type_traits